function AppListAssistant(item)
{
	this.item = item;
	this.listModel = {items:[]};
	
	// setup list attributes
	if (this.item.list == 'all')
	{
		// all list has alpha dividers
		this.listAttributes = {
			itemTemplate: "app-list/rowTemplate",
			swipeToDelete: false,
			reorderable: false,
			dividerTemplate: 'app-list/rowAlphaDivider',
			dividerFunction: this.getAlphaDivider
		};
	}
	else
	{
		// default list has no dividers
		this.listAttributes = {
			itemTemplate: "app-list/rowTemplate",
			swipeToDelete: false,
			reorderable: false
		};
	}
}

AppListAssistant.prototype.setup = function()
{
	// setup list title
	this.controller.get('listTitle').innerHTML = this.item.name;
	
	// build list from global array
	for (var a = 0; a < apps.length; a++) 
	{
		var pushIt = false;
		
		// all
		if (this.item.list == 'all') pushIt = true;
		
		// updates
		if (this.item.list == 'updates' && apps[a].Update) pushIt = true;
		
		// installed
		if (this.item.list == 'installed' && apps[a].Installed) pushIt = true;
		
		// category
		if (this.item.list == 'category' && this.item.category == apps[a].Section) pushIt = true;
		
		
		// push it to the list if we should
		if (pushIt) this.listModel.items.push(apps[a]);
	}
	
	// setup list widget
	this.controller.setupWidget('appList', this.listAttributes, this.listModel);
	
	// listen for tap
	Mojo.Event.listen(this.controller.get('appList'), Mojo.Event.listTap, this.listTapHandler.bindAsEventListener(this));
	
}

AppListAssistant.prototype.getAlphaDivider = function(item)
{
	var firstChar = item.Description.substr(0, 1);
	if (parseInt(firstChar) == firstChar)
	{
		return '#';
	}
	else
	{
		return firstChar.toUpperCase();
	} 
}

AppListAssistant.prototype.listTapHandler = function(event)
{
	// for now: just pop up the status
	this.controller.showAlertDialog({
	    onChoose: function(value) {},
	    title: $L("Status"),
	    message: event.item.Version + ' - ' + event.item.Status,
	    choices:[{label:$L('Ok'), value:""}]
    });
}

AppListAssistant.prototype.activate = function(event) {}

AppListAssistant.prototype.deactivate = function(event) {}

AppListAssistant.prototype.cleanup = function(event) {}
